View Issue Details

IDProjectCategoryView StatusLast Update
0003922GNUnetgnunet-setuppublic2018-06-07 00:25
ReporterdangoleAssigned ToChristian Grothoff 
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003922: default value of TCP_REDIRECTS and UDP_REDIRECTS will not work
Descriptionin https://gnunet.org/svn/gnunet-gtk/src/setup/gnunet-setup-exit-services.c line 85 defines the default value for SERVICE_MC_DESTINATION_ADDRESS as "127.0.0.1:8080" which doesn't work as packages arrive on the exit-gnunet interface having 127.0.0.1 set as their destination address rather than an address actually defined for that interface.
Instead of 127.0.0.1, the exit's IPV4ADDR (169.254.86.1) should be used to expose local services.
TagsNo tags attached.

Activities

Christian Grothoff

2015-08-02 22:11

manager   ~0009518

Fixed as suggested in SVN 36166.

Issue History

Date Modified Username Field Change
2015-07-29 06:47 dangole New Issue
2015-08-02 18:30 Christian Grothoff Assigned To => Christian Grothoff
2015-08-02 18:30 Christian Grothoff Status new => assigned
2015-08-02 18:30 Christian Grothoff Severity minor => text
2015-08-02 18:30 Christian Grothoff Target Version => 0.11.0pre66
2015-08-02 22:11 Christian Grothoff Note Added: 0009518
2015-08-02 22:11 Christian Grothoff Status assigned => resolved
2015-08-02 22:11 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-08-02 22:11 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed